/*
 * Copyright (c) 1999 Venkat. All Rights Reserved.
 *
 * The author (Venkat) grants everyone a non-exclusive, royalty free, 
 * license to use, modify and redistribute this software in source and 
 * binary code form, provided that: 
 * i) this copyright notice appear on all copies of the software; and 
 * ii) the software is not utilized in a manner which is disparaging 
 * to the author.
 */

package com.venkat.RMIDemo;

import java.util.*;

class BBEvent { }

public
class
	BBEventGenerator
{
	public BBEventGenerator()
	{
		anAttempt = new ShotAttempt();
		randomScore = new Random();
		winningTeam = new String("Bulls");
		losingTeam = new String("Jazz");
	} // end default constructor

	public BBEventGenerator( String winner, String loser)
	{
		anAttempt = new ShotAttempt();
		randomScore = new Random();
		winningTeam = winner;
		losingTeam = loser;
	} // end constructor

	public
	ShotAttempt
		generateBBEvent()
	{
		aPoint = nextInt();
		teamSelect = nextInt();
		anAttempt.setPointScored( aPoint );
		if( teamSelect < 3 )
		{
			anAttempt.setTeamName( winningTeam );
		}
		else
		{
			anAttempt.setTeamName( losingTeam );
		}
		return anAttempt;
	} // end generateBBEvent method
	

	private
	int
		nextInt()
	{
		return ( ( Math.abs(randomScore.nextInt() ) ) % 4 );
	} // end nextInt method

	private ShotAttempt anAttempt;
	private Random randomScore;
	private int aPoint;
	private int teamSelect;
	private String winningTeam;
	private String losingTeam;

} // end of class BBEventGenerator